/* from iabg ipv6_main.c - mk */
/* $USAGI: ipsec6_utils.h,v 1.10 2001/11/15 17:37:16 mk Exp $ */
#include <linux/ip6packettools.h>
#include <net/ipv6.h>
#include <net/sadb.h>

#ifdef __KERNEL__
int check_replay_window(struct sa_replay_window *rw, __u32 hdrseq);
void prepare_hash_in_calculation(struct ip6_packet_refs *refs);
void prepare_hash_out_calculation(struct ip6_packet_refs *refs);
int do_ipsec6_out_req_header_size(int action, struct sock *sk, void *ipsec_ptr);
void do_ipsec6_out_calc_ah(struct sock *sk, const void *data,
			   unsigned length, inet_getfrag_t getfrag,
			   struct sk_buff *skb, struct ipv6_auth_hdr *authhdr, void *ipsec_ptr);
struct ipv6_txoptions * do_ipsec6_out_insert_ah(struct sock *sk, const void *data, unsigned length, 
						struct ipv6_txoptions *opt, void *ipsec_ptr);
void do_ipsec6_out_enc(struct sock *sk, const void *data, unsigned length,
			u8 proto, void **newdata, unsigned *newlength, void *ipsec_ptr);
void ipsec6_out_finish(struct ipv6_txoptions *opt, void *ipsec_ptr);
#endif /* __KERNEL__ */
